Name:		openssl-tpm-engine
Version:	0.4.1
Release:	4%{?dist}
Summary:	OpenSSL engine for TSS API

Group:		System Environment/Libraries
License:	OpenSSL
URL:		http://trousers.sourceforge.net/
Source0:	http://downloads.sourceforge.net/trousers/openssl_tpm_engine-0.4.1.tar.gz
Patch0:		openssl-tpm-engine-0.4.1-to-cvs20080930.patch
Patch1:		openssl-tpm-engine-fix-wrap.patch
Patch2:		openssl-tpm-engine-privkey-pem.patch
Patch3:		openssl-tpm-engine-warnings-1.patch
Patch4:		openssl-tpm-engine-warnings-2.patch
Patch5:		openssl-tpm-engine-no-dlopen.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:	trousers-devel openssl-devel dos2unix automake autoconf

%description
This package provides an OpenSSL "engine" which lets OpenSSL handle keys
stored in a TPM.

%prep
%setup -q -n openssl_tpm_engine-%{version}
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1

%build
# All this crap just to add -ltspi to the link.
# Why can't people just write proper Makefiles?
aclocal
automake --add-missing -c --foreign
autoconf
%configure
make %{?_smp_mflags}
dos2unix LICENSE

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
rm -f $RPM_BUILD_ROOT/%{_libdir}/openssl/engines/libtpm.la
mv -f $RPM_BUILD_ROOT/%{_libdir}/openssl/engines/libtpm.so{.0.0.0,}
rm -f $RPM_BUILD_ROOT/%{_libdir}/openssl/engines/libtpm.so.0

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{_bindir}/create_tpm_key
%{_libdir}/openssl/engines/libtpm.so
%doc LICENSE README openssl.cnf.sample



%changelog
* Fri Oct 03 2008 David Woodhouse <David.Woodhouse@intel.com> 0.4.1-4
- Clean up dlopen patch, fix more warnings

* Thu Oct 02 2008 David Woodhouse <David.Woodhouse@intel.com> 0.4.1-3
- Don't dlopen libtspi

* Tue Sep 30 2008 David Woodhouse <David.Woodhouse@intel.com> 0.4.1-2
- Use private keys in PEM format

* Tue Sep 30 2008 David Woodhouse <David.Woodhouse@intel.com> 0.4.1-1
- First package
